% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/rhwrite.R
\name{rhwrite}
\alias{rhwrite}
\title{Write R data to the HDFS}
\usage{
rhwrite(object, file, numfiles = 1, chunk = 1, passByte = 1024 * 1024 *
  20, kvpairs = TRUE, verbose = TRUE)
}
\arguments{
\item{object}{An object whose elements are written}

\item{file}{where to write(it is overwritten)}

\item{numfiles}{number of files to write to}

\item{chunk}{an integer specificed to chunk data frames into rows or lists into sublists}

\item{passByte}{buffer size for writing (see details)}

\item{kvpairs}{if \code{TRUE}, \code{object} should be a list of key-value pairs - otherwise, it should be a data frame or matrix (in which case \code{NULL} keys will be written with arbitrary chunking of the data)}

\item{verbose}{logical - print messages about what is being done}
}
\description{
Takes a list of objects, found in \code{object} and writes them to the folder
pointed to by \code{file} which will be located on the HDFS.
}
\details{
This code, will chunk a data frame(or matrix) or list into sub objects, defined by chunks and then written to the HDFS across numfiles files. Thus if chunks is 10, and numfiles is 20, then a data frame is divided into sub data frames of rows 10 each and written across 20 files. In order to improve the R-Java switch, this is buffered, the buffer size defined by passByte(bytes).
}
\examples{
\dontrun{
O <- data.frame(x=1:100,y=1:100)
rhwrite(O, file="/tmp/x1", chunk=10, numperfile=3)
# writes the above as sub data frames of 10 rows each. Each sub data frame is written to a distinct file.
}
}
\keyword{HDFS}
\keyword{write}

